// TKListCtrl.cpp : implementation file
//

// TradeKeys Version 2.0
// Copyright  2003 Ziff Davis Media, Inc. All rights reserved.
// First published in PC Magazine, US Edition, January 14, 2003.
// Written by Gregory A. Wolking

#include "stdafx.h"
#include "tradekeys.h"
#include "TKListCtrl.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// TKListCtrl

TKListCtrl::TKListCtrl()
{
}

TKListCtrl::~TKListCtrl()
{
}


BEGIN_MESSAGE_MAP(TKListCtrl, CListCtrl)
	//{{AFX_MSG_MAP(TKListCtrl)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// TKListCtrl message handlers

void TKListCtrl::SelectExclusive(int iIndex)
{
	int		iItemCount;
	LVITEM	lvi;

	if (iIndex < 0)
		return;
	iItemCount = GetItemCount();
	if (iIndex >= iItemCount)
		return;
	lvi.iSubItem = 0;
	lvi.mask = LVIF_STATE;
	lvi.stateMask = LVIS_SELECTED | LVIS_FOCUSED;
	for (lvi.iItem = 0; lvi.iItem < iItemCount; lvi.iItem++)
	{
		if (lvi.iItem == iIndex)
			lvi.state = LVIS_SELECTED | LVIS_FOCUSED;
		else
			lvi.state = 0;
		SetItem(&lvi);
	}
	EnsureVisible(iIndex, FALSE);
}

void TKListCtrl::SelectAll()
{
	int		iMax;
	LVITEM	lvi;

	lvi.iSubItem = 0;
	lvi.mask = LVIF_STATE;
	lvi.state = LVIS_SELECTED;
	lvi.stateMask = LVIS_SELECTED;
	iMax = GetItemCount();
	for (lvi.iItem = 0; lvi.iItem < iMax; lvi.iItem++)
		SetItem(&lvi);

}
